<?php   defined('SYSPATH') OR die('Доступ запрещен. Access denied.');

/**********
 Convert special characters to HTML entities
 
 @param   (string)   $str							string to convert
 @param   (boolean)  $double_encode		encode existing entities
 @return  (string)
 */
function specialchars($str, $double_encode = TRUE)
{
	// Force the string to be a string
	$str = (string) $str;

	// Do encode existing HTML entities (default)
	if ($double_encode === TRUE)
	{
		$str = htmlspecialchars($str, ENT_QUOTES, 'UTF-8');
	}
	else
	{
		// Do not encode existing HTML entities
		// From PHP 5.2.3 this functionality is built-in, otherwise use a regex
		if (version_compare(PHP_VERSION, '5.2.3', '>='))
		{
			$str = htmlspecialchars($str, ENT_QUOTES, 'UTF-8', FALSE);
		}
		else
		{
			$str = preg_replace('/&(?!(?:#\d++|[a-z]++);)/ui', '&amp;', $str);
			$str = str_replace(array('<', '>', '\'', '"'), array('&lt;', '&gt;', '&#39;', '&quot;'), $str);
		}
	}

	return $str;
} // END function specialchars





/**********
 Получение содержимого файла $file в виде текстовой строки, добавленное в конец $str
 
 @param   (string)   $file		полный путь файла
 @param   (string)   $str			текстовая строка
 @return  (string)
 */
function get_file($file = '', $str = '')
{
	// Force the string to be a string
	$file = (string) $file;
	$str = (string) $str;
	if (file_exists($file) AND is_file($file)) $str .= file_get_contents($file);
	return $str;
} // END function get_file




/**********
 Получение участка html-кода ограниченного тэгом
 Если подряд несколько одинаковых тэгов используется последний
 Вложенные тэги не поддерживаются
 Если тэг не найден или не указан, возвращается исходная строка
 
 @param   (string)   $str				html-код
 @param   (string)   $tag_name	тег
 @return  (string)
 */
function get_html_tag($str = '', $tag_name = '')
{
	// Force the string to be a string
	$str = (string) $str;
	$tag_name = (string) $tag_name;
	$return_str = '';
	preg_match_all('/<'.$tag_name.'>(.*)<\/'.$tag_name.'>/isU', $str, $matches, PREG_SET_ORDER);
	if (count($matches)) 
	{
		$return_str = $matches[count($matches)-1][1];
	}

	return $return_str;
} // END function get_html_tag





/**********
 Замена имен ключей #{имя_ключа} в тексте на значение этого ключа из массива $hash
 Если $hash не массив, то возвращается нетронутый исходник
 
 @param   (string) 	$template		текст исходник
 @param   (array) 	$hash		  	массив замен. например: array('это'=>'на это', 'вот это'=>'на вот это')
 @param   (string) 	$prefix			'#{' - метка начала имени ключа
 @param   (string) 	$postfix		'}' - метка конца имени ключа

 @return  (string)
 */
function print_var_to_text($template = '', $hash = FALSE, $prefix = '#{', $postfix = '}') 
{
	// Force the string to be a string
	$template = (string) $template;
	$prefix = (string) $prefix;
	$postfix = (string) $postfix;
	
	if ( ! is_array($hash) ) return $template;
	
	// прослэшивание каждого символа в $prefix и $postfix, чтобы можно было использовать любые символы
	if ($prefix) 
	{
		$prefix_arr = str_split($prefix);
		$prefix = '';
		foreach ($prefix_arr as $value) { $prefix .= '\\'.$value; }
	}
	if ($postfix) 
	{
		$postfix_arr = str_split($postfix);
		$postfix = '';
		foreach ($postfix_arr as $value) { $postfix .= '\\'.$value; }
	}

	preg_match_all('/'.$prefix.'(.*)'.$postfix.'/isU', $template, $matches, PREG_SET_ORDER); 
	foreach ($matches as $key => $value)
	{
		$search = $value[0];
		$replase = $value[1];
		$replase_value=''; if (isset($hash[$replase])) $replase_value = $hash[$replase];
		$template = str_replace ($search, $replase_value, $template);
	}
	return $template;
	
} // END function print_var_to_text

/*
Copyright © 2009 Максим Зимин (MacMax) macmax.ru

Программа защищена законами и международными соглашениями о правах на интеллектуальную собственность. 
Данная программа лицензируется и распространяется БЕСПЛАТНО.
Если закон страны или области Вашего проживания запрещает Вам использовать программу, 
или программа не допускается к использованию в Вашей стране или Вашей области проживания, 
воздержитесь от использования программы.

Разрешается повторное распространение и использование как в виде исходника так и в двоичной форме, 
с модификациями или без, при соблюдении следующих условий:
	1.	При повторном распространении исходного кода должно оставаться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий.
	2.	При повторном распространении двоичного кода должно воспроизводиться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий в документации и/или в других материалах, 
			поставляемых при распространении.
	3.	Ни название сайта macmax.ru, ни имена его владельцев и держателей не могут быть использованы 
			в качестве поддержки или продвижения продуктов, основанных на этом программном обеспечении 
			без предварительного письменного разрешения.

ЭТА ПРОГРАММА ПРЕДОСТАВЛЕНА БЕСПЛАТНО ДЕРЖАТЕЛЯМИ АВТОРСКИХ ПРАВ И/ИЛИ ДРУГИМИ СТОРОНАМИ «КАК ОНА ЕСТЬ» 
БЕЗ КАКОГО-ЛИБО ВИДА ГАРАНТИЙ, ВЫРАЖЕННЫХ ЯВНО ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ, 
ПОДРАЗУМЕВАЕМЫЕ ГАРАНТИИ КОММЕРЧЕСКОЙ ЦЕННОСТИ И ПРИГОДНОСТИ ДЛЯ КОНКРЕТНОЙ ЦЕЛИ. 
НИ В КОЕМ СЛУЧАЕ, ЕСЛИ НЕ ТРЕБУЕТСЯ СООТВЕТСТВУЮЩИМ ЗАКОНОМ, ИЛИ НЕ УСТАНОВЛЕНО В УСТНОЙ ФОРМЕ, 
НИ ОДИН ДЕРЖАТЕЛЬ АВТОРСКИХ ПРАВ И НИ ОДНО ДРУГОЕ ЛИЦО, КОТОРОЕ МОЖЕТ ИЗМЕНЯТЬ И/ИЛИ ПОВТОРНО 
РАСПРОСТРАНЯТЬ ПРОГРАММУ, КАК БЫЛО РАЗРЕШЕНО ВЫШЕ, НЕ ОТВЕТСТВЕННЫ ПЕРЕД ВАМИ ЗА УБЫТКИ, 
ВКЛЮЧАЯ ЛЮБЫЕ ОБЩИЕ, СЛУЧАЙНЫЕ, СПЕЦИАЛЬНЫЕ ИЛИ ПОСЛЕДОВАВШИЕ УБЫТКИ, 
ПРОИСТЕКАЮЩИЕ ИЗ ИСПОЛЬЗОВАНИЯ ИЛИ НЕВОЗМОЖНОСТИ ИСПОЛЬЗОВАНИЯ ПРОГРАММЫ (ВКЛЮЧАЯ, 
НО НЕ ОГРАНИЧИВАЯСЬ ПОТЕРЕЙ ДАННЫХ, ИЛИ ДАННЫМИ, СТАВШИМИ НЕПРАВИЛЬНЫМИ, 
ИЛИ ПОТЕРЯМИ ПРИНЕСЁННЫМИ ИЗ-ЗА ВАС ИЛИ ТРЕТЬИХ ЛИЦ, ИЛИ ОТКАЗОМ ПРОГРАММЫ РАБОТАТЬ СОВМЕСТНО С ДРУГИМИ ПРОГРАММАМИ), 
ДАЖЕ ЕСЛИ ТАКОЙ ДЕРЖАТЕЛЬ ИЛИ ДРУГОЕ ЛИЦО БЫЛИ ИЗВЕЩЕНЫ О ВОЗМОЖНОСТИ ТАКИХ УБЫТКОВ.

*/
?>