<?php 
if ( ! defined('SYSPATH'))
{
	header ( 'Status: 302 Found' );
	header ( 'Location: .' );
	exit();
}
header('Content-Type: text/html; charset=UTF-8'); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<title>Установка</title>

<style type="text/css">
body { width: 42em; margin: 0 auto; font-family: sans-serif; font-size: 90%; }

#tests table { border-collapse: collapse; width: 100%; }
	#tests table th,
	#tests table td { padding: 0.2em 0.4em; text-align: left; vertical-align: top; }
	#tests table th { width: 12em; font-weight: normal; font-size: 1.2em; }
	#tests table tr:nth-child(odd) { background: #eee; }
	#tests table td.pass { color: #191; }
	#tests table td.fail { color: #911; }
		#tests #results { color: #fff; }
		#tests #results p { padding: 0.8em 0.4em; }
		#tests #results p.pass { background: #191; }
		#tests #results p.fail { background: #911; }
</style>

</head>
<body>

<h1>Тест работоспособности</h1>

<div id="tests">
<?php $failed = FALSE ?>
<table cellspacing="0">

<tr>
<th>Версия PHP</th>
<?php if (version_compare(PHP_VERSION, PHP_VERSION_CHECK, '>=')): ?>
<td class="pass"><?php echo PHP_VERSION ?></td>
<?php else: $failed = TRUE ?>
<td class="fail">Желательно использовать PHP <?php echo PHP_VERSION_CHECK ?> или выше. Текущая версия: <?php echo PHP_VERSION ?>.</td>
<?php endif ?>
</tr>

<tr>
<th>Системная папка</th>
<?php if (is_dir(SYSPATH) AND is_file(SYSPATH.'bootstrap'.EXT)): ?>
<td class="pass"><?php echo SYSPATH ?></td>
<?php else: $failed = TRUE ?>
<td class="fail">Системная папка <code><?php echo SYSPATH ?></code><br /> не найдена или не содержит нужных файлов. Отредактируйте <?php echo PROJECT_FILE ?></td>
<?php endif ?>
</tr>

<tr>
<th>Папка шаблонов</th>
<?php if (is_dir(TEMPLPATH) AND is_file(TEMPLPATH.'default_template'.EXT_HTML)): ?>
<td class="pass"><?php echo TEMPLPATH ?></td>
<?php else: $failed = TRUE ?>
<td class="fail">Папка шаблонов <code><?php echo TEMPLPATH ?></code><br /> не найдена или не содержит нужных файлов. Отредактируйте <?php echo PROJECT_FILE ?></td>
<?php endif ?>
</tr>

<tr>
<th>Папка HTML-файлов</th>
<?php if (is_dir(HTMLPATH) AND is_file(HTMLPATH.'default_html'.EXT_HTML)): ?>
<td class="pass"><?php echo HTMLPATH ?></td>
<?php else: $failed = TRUE ?>
<td class="fail">Папка HTML-файлов <code><?php echo HTMLPATH ?></code><br /> не найдена или не содержит нужных файлов. Отредактируйте <?php echo PROJECT_FILE ?></td>
<?php endif ?>
</tr>

<tr>
<th>PCRE UTF-8</th>
<?php if ( !function_exists('preg_match')): $failed = TRUE ?>
<td class="fail"><a href="http://php.net/pcre">PCRE</a> не поддерживается в вашей сборке PHP.</td>
<?php elseif ( ! @preg_match('/^.$/u', 'ñ')): $failed = TRUE ?>
<td class="fail"><a href="http://php.net/pcre">PCRE</a> скомпилирован без поддержки UTF-8.</td>
<?php elseif ( ! @preg_match('/^\pL$/u', 'ñ')): $failed = TRUE ?>
<td class="fail"><a href="http://php.net/pcre">PCRE</a> скомпилирован без поддержки Unicode property.</td>
<?php else: ?>
<td class="pass">Тест пройден успешно</td>
<?php endif ?>
</tr>
<tr>
<th>Поддержка Reflection</th>
<?php if (class_exists('ReflectionClass')): ?>
<td class="pass">Тест пройден успешно</td>
<?php else: $failed = TRUE ?>
<td class="fail">PHP <a href="http://www.php.net/reflection">reflection</a> либо не&nbsp;загружены, либо не&nbsp;скомпилированы.</td>
<?php endif ?>
</tr>
<tr>
<th>Поддержка Filters</th>
<?php if (function_exists('filter_list')): ?>
<td class="pass">Тест пройден успешно</td>
<?php else: $failed = TRUE ?>
<td class="fail">Расширение <a href="http://www.php.net/filter">filter</a> либо не&nbsp;загружено, либо не&nbsp;скомпилировано.</td>
<?php endif ?>
</tr>
<tr>
<th>PHP-расширение Iconv</th>
<?php if (extension_loaded('iconv')): ?>
<td class="pass">Тест пройден успешно</td>
<?php else: $failed = TRUE ?>
<td class="fail">Расширение <a href="http://php.net/iconv">iconv</a> не&nbsp;загружено.</td>
<?php endif ?>
</tr>

<tr>
<th>Поддержка SPL</th>
<?php if (function_exists('spl_autoload_register')): ?>
<td class="pass">Тест пройден успешно</td>
<?php else: $failed = TRUE ?>
<td class="fail"><a href="http://php.net/spl">SPL</a> не поддерживается в вашей сборке PHP.</td>
<?php endif ?>
</tr>

<tr>
<th>Определение URI</th>
<?php if (isset($_SERVER['REQUEST_URI']) OR isset($_SERVER['PHP_SELF'])): ?>
<td class="pass">Тест пройден успешно</td>
<?php else: $failed = TRUE ?>
<td class="fail"><code>$_SERVER['REQUEST_URI']</code> или <code>$_SERVER['PHP_SELF']</code> не доступны.</td>
<?php endif ?>
</tr>

</table>

<div id="results">
<?php if ($failed === TRUE): ?>
<p class="fail">Нет гарантии корректной работы скриптов!</p>
<?php else: ?>
<p class="pass">Ваши настройки скорее всего правильные. <br /> Удалите файл <code>install<?php echo EXT ?></code> с&nbsp;сервера, чтобы этот тест больше не&nbsp;повторялся.</p>
<?php endif ?>
</div>

</div>

</body>
</html>

<?php

/*
Copyright © 2009 Максим Зимин (MacMax) macmax.ru

Программа защищена законами и международными соглашениями о правах на интеллектуальную собственность. 
Данная программа лицензируется и распространяется БЕСПЛАТНО.
Если закон страны или области Вашего проживания запрещает Вам использовать программу, 
или программа не допускается к использованию в Вашей стране или Вашей области проживания, 
воздержитесь от использования программы.

Разрешается повторное распространение и использование как в виде исходника так и в двоичной форме, 
с модификациями или без, при соблюдении следующих условий:
	1.	При повторном распространении исходного кода должно оставаться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий.
	2.	При повторном распространении двоичного кода должно воспроизводиться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий в документации и/или в других материалах, 
			поставляемых при распространении.
	3.	Ни название сайта macmax.ru, ни имена его владельцев и держателей не могут быть использованы 
			в качестве поддержки или продвижения продуктов, основанных на этом программном обеспечении 
			без предварительного письменного разрешения.

ЭТА ПРОГРАММА ПРЕДОСТАВЛЕНА БЕСПЛАТНО ДЕРЖАТЕЛЯМИ АВТОРСКИХ ПРАВ И/ИЛИ ДРУГИМИ СТОРОНАМИ «КАК ОНА ЕСТЬ» 
БЕЗ КАКОГО-ЛИБО ВИДА ГАРАНТИЙ, ВЫРАЖЕННЫХ ЯВНО ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ, 
ПОДРАЗУМЕВАЕМЫЕ ГАРАНТИИ КОММЕРЧЕСКОЙ ЦЕННОСТИ И ПРИГОДНОСТИ ДЛЯ КОНКРЕТНОЙ ЦЕЛИ. 
НИ В КОЕМ СЛУЧАЕ, ЕСЛИ НЕ ТРЕБУЕТСЯ СООТВЕТСТВУЮЩИМ ЗАКОНОМ, ИЛИ НЕ УСТАНОВЛЕНО В УСТНОЙ ФОРМЕ, 
НИ ОДИН ДЕРЖАТЕЛЬ АВТОРСКИХ ПРАВ И НИ ОДНО ДРУГОЕ ЛИЦО, КОТОРОЕ МОЖЕТ ИЗМЕНЯТЬ И/ИЛИ ПОВТОРНО 
РАСПРОСТРАНЯТЬ ПРОГРАММУ, КАК БЫЛО РАЗРЕШЕНО ВЫШЕ, НЕ ОТВЕТСТВЕННЫ ПЕРЕД ВАМИ ЗА УБЫТКИ, 
ВКЛЮЧАЯ ЛЮБЫЕ ОБЩИЕ, СЛУЧАЙНЫЕ, СПЕЦИАЛЬНЫЕ ИЛИ ПОСЛЕДОВАВШИЕ УБЫТКИ, 
ПРОИСТЕКАЮЩИЕ ИЗ ИСПОЛЬЗОВАНИЯ ИЛИ НЕВОЗМОЖНОСТИ ИСПОЛЬЗОВАНИЯ ПРОГРАММЫ (ВКЛЮЧАЯ, 
НО НЕ ОГРАНИЧИВАЯСЬ ПОТЕРЕЙ ДАННЫХ, ИЛИ ДАННЫМИ, СТАВШИМИ НЕПРАВИЛЬНЫМИ, 
ИЛИ ПОТЕРЯМИ ПРИНЕСЁННЫМИ ИЗ-ЗА ВАС ИЛИ ТРЕТЬИХ ЛИЦ, ИЛИ ОТКАЗОМ ПРОГРАММЫ РАБОТАТЬ СОВМЕСТНО С ДРУГИМИ ПРОГРАММАМИ), 
ДАЖЕ ЕСЛИ ТАКОЙ ДЕРЖАТЕЛЬ ИЛИ ДРУГОЕ ЛИЦО БЫЛИ ИЗВЕЩЕНЫ О ВОЗМОЖНОСТИ ТАКИХ УБЫТКОВ.

*/

?>